OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_Separator Class Reference

defines a Separator node of VRML specifying group properties.
This group node performs a push (save) of the traversal state before traversing its children
and a pop (restore) after traversing them. This isolates the separator's children from the
rest of the scene graph. A separator can include lights, cameras, coordinates, normals,
bindings, and all other properties.
Separators can also perform render culling. Render culling skips over traversal of the
separator's children if they are not going to be rendered, based on the comparison of the
separator's bounding box with the current view volume. Culling is controlled by the
renderCulling field. These are set to AUTO by default, allowing the implementation to
decide whether or not to cull.

`#include <Vrml_Separator.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Separator (const Vrml_SeparatorRenderCulling aRenderCulling)
Standard_EXPORT | Vrml_Separator ()
Standard_EXPORT void | SetRenderCulling (const Vrml_SeparatorRenderCulling aRenderCulling)
Standard_EXPORT Vrml_SeparatorRenderCulling | RenderCulling () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream)
## Private Attributes
Vrml_SeparatorRenderCulling | myRenderCulling
Standard_Boolean | myFlagPrint

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Separator::Vrml_Separator | ( | const Vrml_SeparatorRenderCulling | aRenderCulling | ) |

Standard_EXPORT Vrml_Separator::Vrml_Separator | ( |  | ) |

## Member Function Documentation

void Vrml_Separator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Separator::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Separator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Separator::Print | ( | Standard_OStream & | anOStream | ) |

Standard_EXPORT Vrml_SeparatorRenderCulling Vrml_Separator::RenderCulling | ( |  | ) | const

Standard_EXPORT void Vrml_Separator::SetRenderCulling | ( | const Vrml_SeparatorRenderCulling | aRenderCulling | ) |

## Field Documentation

Standard_Boolean Vrml_Separator::myFlagPrint`[private]`

Vrml_SeparatorRenderCulling Vrml_Separator::myRenderCulling`[private]`

The documentation for this class was generated from the following file:

- Vrml_Separator.hxx